This is the audit log resource.
Coro Cybersecurity Public API (v1)
This is the Coro Cybersecurity platform API specification reference.
This section provides a complete reference listing for the Coro Cybersecurity REST API resource model.
This reference lists all the resources available through the Coro REST API.
Each section relates to a specific resource and provides its name, description, unique URI path, and the list of operations you can perform on it.
For each operation, you can find:
- A complete description of the action
- Request parameters
- A list of potential responses
- Security (authentication) requirements
The portal also provides code samples and examples for making requests in a number of programming languages, together with samples of the possible response bodies.
In addition to this, Coro provides a Try It feature where you can interact with the API directly through the portal. To use Try It, you'll need to first obtain Client ID and Secret credentials; for more information, see Authentication.
Request
Retrieve a summary of users and associated tickets for a workspace. The summary includes the total number of open tickets, closed tickets, users with associated tickets, and users with no associated tickets.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/users
- Coro US API server target URLhttps://api.secure.coro.net/v1/tickets/summary/users
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/users?resolvedFromTime=1755129600000' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "protectedUsers": 123, "protectedUsersWithoutTickets": 123, "protectedUsersWithTickets": 123, "openTickets": [ { … } ], "closedTickets": [ { … } ] }
Request
Retrieve a summary of emails and associated tickets for a workspace. The summary includes the total number of open tickets, closed tickets, emails with associated tickets, and emails with no associated tickets.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/emails
- Coro US API server target URLhttps://api.secure.coro.net/v1/tickets/summary/emails
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/emails?resolvedFromTime=1755129600000' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "openTickets": [ { … } ], "closedTickets": [ { … } ], "topDomains": [ { … } ], "emailsScanned": 123 }
Request
Retrieve a summary of devices and associated tickets for a workspace. The summary includes the total number of open tickets, closed tickets, devices with associated tickets, and devices with no associated tickets.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/devices
- Coro US API server target URLhttps://api.secure.coro.net/v1/tickets/summary/devices
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/devices?resolvedFromTime=1755129600000' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "devices": 123, "devicesWithoutTickets": 123, "devicesWithTickets": 123, "openTickets": [ { … } ], "closedTickets": [ { … } ] }
Request
Retrieve a summary of monitored data and associated tickets for a workspace. The summary includes the total number of open tickets, closed tickets, monitored data with associated tickets, and monitored data with no associated tickets.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/data
- Coro US API server target URLhttps://api.secure.coro.net/v1/tickets/summary/data
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/data?resolvedFromTime=1755129600000' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "openTickets": [ { … } ], "closedTickets": [ { … } ], "topViolators": [ { … } ], "objectsScanned": 123 }
Request
Retrieve a summary of protected cloud apps and associated tickets for a workspace. The summary includes the total number of open tickets, closed tickets, cloud apps with associated tickets, and cloud apps with no associated tickets.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/cloud-apps
- Coro US API server target URLhttps://api.secure.coro.net/v1/tickets/summary/cloud-apps
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/tickets/summary/cloud-apps?resolvedFromTime=1755129600000' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "cloudAppStatuses": [ { … } ], "openTickets": [ { … } ], "closedTickets": [ { … } ] }